Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.security.provider
Class PermissionImpl

    java.lang.Object
      org.jasig.portal.security.provider.PermissionImpl

All Implemented Interfaces:
  IPermission

    public class PermissionImpl

extends java.lang.Object
implements IPermission

Version:
  $Revision: 1.6 $
Author:
  Bernie Durfee (bdurfee@interactivebusiness.com), Dan Ellentuck

Field Summary
`private java.lang.String` | `m_activity`
`private java.util.Date` | `m_effective`
`private java.util.Date` | `m_expires`
`private java.lang.String` | `m_owner`
`private java.lang.String` | `m_principal`
`private java.lang.String` | `m_target`
`private java.lang.String` | `m_type`

Fields inherited from interface org.jasig.portal.security.IPermission
`CHANNEL_PREFIX, CHANNEL_PUBLISHER_ACTIVITY, CHANNEL_SUBSCRIBER_ACTIVITY, PERMISSION_TYPE_DENY, PERMISSION_TYPE_GRANT, PORTAL_FRAMEWORK`

Constructor Summary
`PermissionImpl(java.lang.String owner)` This constructor ensures that all Permission objects are created with an owner specified.

Method Summary
`java.lang.String` | `getActivity()` Returns the token that represents the activity associated with this `IPermission`.
`java.util.Date` | `getEffective()` Returns the effective date that was set for this Permission.
`java.util.Date` | `getExpires()` Returns the expires date that was set for this Permission.
`java.lang.String` | `getOwner()` Returns the owner of this Permission
`java.lang.String` | `getPrincipal()` Returns the token that represents the `IAuthorizationPrincipal` associated with this `IPermission`.
`java.lang.String` | `getTarget()` Returns the token that represents the target associated with this `IPermission`.
`java.lang.String` | `getType()` Returns the type of permission that this is, generally GRANT or DENY
`void` | `setActivity(java.lang.String activity)` Specifies the token that represents the activity associated with this `IPermission`.
`void` | `setEffective(java.util.Date effective)` Specifies the date that this `IPermission` will become effective.
`void` | `setExpires(java.util.Date expires)` Specifies the date that this `IPermission` will expire.
`void` | `setPrincipal(java.lang.String newPrincipal)` Specifies the token that represents the `IAuthorizationPrincipal` associated with this `IPermission`.
`void` | `setTarget(java.lang.String target)` Specifies the token that represents the target associated with this `IPermission`.
`void` | `setType(java.lang.String type)` Sets the `IPermission` type.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### m_owner

    private java.lang.String m_owner

### m_principal

    private java.lang.String m_principal

### m_activity

    private java.lang.String m_activity

### m_target

    private java.lang.String m_target

### m_type

    private java.lang.String m_type

### m_effective

    private java.util.Date m_effective

### m_expires

    private java.util.Date m_expires

Constructor Detail

### PermissionImpl

    public PermissionImpl(java.lang.String owner)

  This constructor ensures that all Permission objects are created with an owner specified.

  Parameters:
    `owner` -

Method Detail

### getActivity

    public java.lang.String getActivity()

  Returns the token that represents the activity associated with this `IPermission`.

  Specified by:
    `getActivity` in interface `IPermission`
  Returns:
    String

### getEffective

    public java.util.Date getEffective()

  Returns the effective date that was set for this Permission.

  Specified by:
    `getEffective` in interface `IPermission`
  Returns:
    the effective date that was set for this Permission

### getExpires

    public java.util.Date getExpires()

  Returns the expires date that was set for this Permission.

  Specified by:
    `getExpires` in interface `IPermission`
  Returns:
    the expires date that was set for this Permission

### getOwner

    public java.lang.String getOwner()

  Returns the owner of this Permission

  Specified by:
    `getOwner` in interface `IPermission`
  Returns:
    the owner of this Permission

### getPrincipal

    public java.lang.String getPrincipal()

  Returns the token that represents the `IAuthorizationPrincipal` associated with this `IPermission`.

  Specified by:
    `getPrincipal` in interface `IPermission`
  Returns:
    String

### getTarget

    public java.lang.String getTarget()

  Returns the token that represents the target associated with this `IPermission`.

  Specified by:
    `getTarget` in interface `IPermission`
  Returns:
    target associated with this `IPermission`

### getType

    public java.lang.String getType()

  Returns the type of permission that this is, generally GRANT or DENY

  Specified by:
    `getType` in interface `IPermission`
  Returns:
    String

### setActivity

    public void setActivity(java.lang.String activity)

  Specifies the token that represents the activity associated with this `IPermission`.

  Specified by:
    `setActivity` in interface `IPermission`
  Parameters:
    `activity` - String

### setEffective

    public void setEffective(java.util.Date effective)

  Specifies the date that this `IPermission` will become effective.

  Specified by:
    `setEffective` in interface `IPermission`
  Parameters:
    `effective` - java.util.Date

### setExpires

    public void setExpires(java.util.Date expires)

  Specifies the date that this `IPermission` will expire.

  Specified by:
    `setExpires` in interface `IPermission`
  Parameters:
    `expires` - java.util.Date

### setPrincipal

    public void setPrincipal(java.lang.String newPrincipal)

  Specifies the token that represents the `IAuthorizationPrincipal` associated with this `IPermission`.

  Specified by:
    `setPrincipal` in interface `IPermission`
  Parameters:
    `newPrincipal` - String

### setTarget

    public void setTarget(java.lang.String target)

  Specifies the token that represents the target associated with this `IPermission`.

  Specified by:
    `setTarget` in interface `IPermission`
  Parameters:
    `target` - String

### setType

    public void setType(java.lang.String type)

  Sets the `IPermission` type.

  Specified by:
    `setType` in interface `IPermission`
  Parameters:
    `type` - String

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    java.lang.String

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD